<template>
  <div class="nav-container">
    <div class="nav-logo"><img src="../assets/logo.svg" alt="logo"/></div>
    <div class="nav">
      <ul>
        <li>Tricoter</li>
        <li>Fils végétaux</li>
        <li>Inspiration</li>
        <li>Ethique</li>
      </ul>
    </div>
    <div class="nav-actions">
    <span>
    <img src="../assets/icons/search-icon.svg" alt="">
    <img src="../assets/icons/login-icon.svg" alt="">
    </span>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Header'
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
@import './src/style/framework.scss';
.nav-container{
  display: flex;
  width: 90%;
  height: 100px;
  font-family: 'Corbel Light';
  color: white;
  padding: 0 5%;
}
//Logo
.nav-logo{
  display: flex;
  flex: 1;
  opacity: 0.8;
}
.nav-logo:hover{
  opacity: 1;
  transition-duration: 0.5s;
  -o-transition-duration: 0.5s;
  -moz-transition-duration: 0.5s;
  -webkit-transition-duration: 0.5s;
  cursor: pointer;
}
//Menu
.nav{
  display: flex;
  flex: 2;
  align-content: center;
}
.nav-actions{
  display: flex;
  flex: 1;
}
.nav ul{
  display: flex;
  flex-grow: 1;
  justify-content: center;
}
.nav li {
  font-family: 'Corbel Light';
  padding: 40px 5% 0 5%;
  opacity: 0.5;
}
.nav li:hover{
  opacity: 1;
  transition-duration: 0.5s;
  -o-transition-duration: 0.5s;
  -moz-transition-duration: 0.5s;
  -webkit-transition-duration: 0.5s;
  cursor: pointer;
}
//actions
.nav-actions span{
  display: flex;
  flex: 1;
  padding: 30px 5% 0 5%;
  justify-content: flex-end;
}
.nav-actions span img{
  width: 40px;
  height: 40px;
  opacity: 0.7;
}
.nav-actions span img:hover{
  opacity: 1;
  transition-duration: 0.5s;
  -o-transition-duration: 0.5s;
  -moz-transition-duration: 0.5s;
  -webkit-transition-duration: 0.5s;
  cursor: pointer;
}


</style>
